Bug 120680 - (SATA PROMISE) PATA disk not recognised on promise SATA
(SATA PROMISE) PATA disk not recognised on promise SATA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 18:18 EDT by Leo Bink
Modified: 2013-07-02 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leo Bink 2004-04-12 18:18:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
A PATA disk connected to the middle connector of a promise SATA 150 
TX2 PLUS controller card is not recognised by the kernel.

It will not show in DMESG.

Kernel tested: Linux version 2.6.5-1.315 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.obvious
2.
3.
    

Actual Results:  disk not recognised

Expected Results:  disk should show...

Additional info:
Comment 1 Brian "netdragon" Bober 2004-05-09 20:25:36 EDT
FC2 test3. It appears that the driver is only looking for standard
SATA ports and not the PATA port.

I noticed:
http://linux.derkeiler.com/Mailing-Lists/Kernel/2004-03/6344.html

Has there been work on this?
http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/old/2.6.5-rc3-libata2.log

I noticed:

"remove incorrect PATA port check"

Although I've never done any kernel driver work, I'm willing to do
whatever it takes if you can give me some pointers, or to test
changes. I know how to build custom kernels with module changes.

See also:

http://bugzilla.kernel.org/show_bug.cgi?id=2376
Comment 2 Brian "netdragon" Bober 2004-05-09 22:46:53 EDT
I tested the 2.6.6-rc3 kernel and this bug still occurs. If you want
to write patches on that kernel, I'm willing to test them.
Comment 3 Dave Jones 2004-12-07 01:00:20 EST
still a problem with the 2.6.9 based errata kernel ?
Comment 4 Peter Magnusson 2004-12-19 21:02:29 EST
I tried the 2.6.9-1.6_FC2. Still a problem.
Comment 5 Dave Jones 2005-04-16 01:22:06 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.